%global __provides_exclude_from ^%{python3_sitearch}/_.*\.so$

Summary:            Utilities to convert Outlook .pst files to other formats
Name:               libpst
Version:            0.6.76
Release:            7%{?dist}
License:            GPL-2.0-or-later
URL:                http://www.five-ten-sg.com/%{name}/
Source:             %{url}/packages/%{name}-%{version}.tar.gz

Patch3000:          m4-python310.patch

BuildRequires:      make libtool gcc-c++ gd-devel zlib-devel boost-devel libgsf-devel gettext-devel
BuildRequires:      python3 python3-devel boost-python3 boost-python3-devel
Requires:           boost-python3
Requires:           %{name}-libs = %{version}-%{release}

%description
The Libpst utilities include readpst which can convert email messages to both mbox and MH mailbox
formats, pst2ldif which can convert the contacts to .ldif format for import into ldap databases.

%package libs
Summary:            Shared library used by the pst utilities

%description libs
The libpst-libs package contains the shared library used by the pst utilities.

%package -n python3-%{name}
Requires:           python3
Provides: %{name}-python = %{version}-%{release}
Summary:            Python bindings for libpst
Requires:           %{name}-libs = %{version}-%{release}

%description -n python3-%{name}
The libpst-python package allows you to use the libpst shared object from Python code.

%package devel
Summary:            Library links and header files for libpst application development
Requires:           %{name}-libs = %{version}-%{release}
Provides:           %{name}-devel-doc = %{version}-%{release}
Obsoletes:           %{name}-devel-doc <= %{version}-%{release}

%description devel
The libpst-devel package contains the library links and header files you'll need to develop
applications using the libpst shared library. You do not need to install it if you just want to use
the libpst utilities.
This package all provides documentation for the libpst.so shared library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fiv
%configure --enable-libpst-shared \
           --disable-dii \
           --with-boost-python=boost_python%{python3_version_nodots}
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -f
mv %{buildroot}%{_datadir}/doc/%{name}-%{version} %{buildroot}%{_datadir}/doc/%{name}
rm %{buildroot}%{_mandir}/man1/pst2dii.1*

# do not support html
rm -rf %{buildroot}%{_datadir}/doc/%{name}/*.html

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files libs
%license COPYING
%{_libdir}/libpst.so.*

%files -n python3-%{name}
%defattr(-,root,root,-)
%{python3_sitearch}/_*.so

%files devel
%{_libdir}/libpst.so
%{_includedir}/%{name}-4/
%{_libdir}/pkgconfig/libpst.pc
%dir %{_datadir}/doc/%{name}/
%{_datadir}/doc/%{name}/AUTHORS
%{_datadir}/doc/%{name}/COPYING
%{_datadir}/doc/%{name}/ChangeLog
%{_datadir}/doc/%{name}/NEWS
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/devel/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.76-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.76-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.76-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 0.6.76-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.76-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.76-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.6.76-1
- initial build

